<template>
  <div class="gpa-library">
    <rui-tabs>
      <rui-button :to="{ name: 'library', params: routeParams }">{{ $t('js.genera.index.resource') }}</rui-button>
      <rui-button :to="{ name: 'libraryByGenus', params: genusRouteParams }">{{ $t('js.genera.index.genus') }}</rui-button>
      <rui-button :to="{ name: 'libraryByFamily', params: familyRouteParams }">{{ $t('js.genera.index.family') }}</rui-button>

      <rui-tab-separator />

      <rui-button :to="{ name: 'resourceInteractionsGroups' }">{{ $t('js.layout.library.resource_interactions_groups') }}</rui-button>

      <rui-tab-separator spring />

      <gp-collapsible-toolbar :items="toolbarItems" breakpoint="medium" right />
    </rui-tabs>

    <router-view />
  </div>
</template>

<script>
import RuiButton from '@experiments-labs/rise_ui/src/components/Button/Button.vue'
import RuiTabs from '@experiments-labs/rise_ui/src/components/Tabs/Tabs.vue'
import RuiTabSeparator from '@experiments-labs/rise_ui/src/components/Tabs/TabSeparator.vue'
import GpCollapsibleToolbar from '../../../../common/CollapsibleToolbar/CollapsibleToolbar.vue'

export default {
  name: 'GpaLibraryLayout',
  components: { RuiTabSeparator, RuiButton, RuiTabs, GpCollapsibleToolbar },
  data () {
    return {
      toolbarItems: [
        { variant: 'creative', icon: 'plus', showCaption: true, onclick: () => this.$emitBus('edit-family'), caption: this.$t('js.genera.index.new_family') },
        { variant: 'creative', icon: 'plus', showCaption: true, onclick: () => this.$emitBus('edit-genus'), caption: this.$t('js.genera.index.new_genus') },
        { variant: 'creative', icon: 'plus', showCaption: true, onclick: () => this.$emitBus('edit-resource'), caption: this.$t('js.genera.index.new_resource') },
        { variant: 'creative', icon: 'plus', showCaption: true, onclick: () => this.$emitBus('edit-resource-interactions-group'), caption: this.$t('js.genera.index.new_resource_interactions_group') },
      ],
    }
  },
  computed: {
    routeParams () {
      const params = {}
      if (this.$route.params.resourceId) params.resourceId = this.$route.params.resourceId

      return params
    },
    genusRouteParams () {
      const params = {}
      if (this.$route.params.resourceId) {
        params.resourceId = this.$route.params.resourceId
        if (this.$route.params.genusId) params.genusId = this.$route.params.genusId
      }

      return params
    },
    familyRouteParams () {
      const params = {}
      if (this.$route.params.familyId) {
        params.familyId = this.$route.params.familyId
        if (this.$route.params.resourceId) params.resourceId = this.$route.params.resourceId
      }

      return params
    },
  },
}
</script>

<style lang="scss" src="./_LibraryLayout.scss" />
